package main

import "fmt"

// section: main
func main() {
	i := 0
	for n := 0; n < 5; n++ {
		i := n // redeclare i (shadow)
		i++
		fmt.Println("loop:", i)
	}
	fmt.Println("final:", i)
}

// section: main

/*
// section: output
loop: 1
loop: 2
loop: 3
loop: 4
loop: 5
final: 0
// section: output
*/
